Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component.html
Class HtmlSelectOneListbox

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.UISelectOne
                          javax.faces.component.html.HtmlSelectOneListbox

All Implemented Interfaces:
  java.util.EventListener, ClientBehaviorHolder, EditableValueHolder, PartialStateHolder, StateHolder, TransientStateHolder, ValueHolder, ComponentSystemEventListener, FacesListener, SystemEventListenerHolder

    public class HtmlSelectOneListbox

extends UISelectOne
implements ClientBehaviorHolder

Represents a single-selection component that is rendered as an HTML `select` element, showing either all available options or the specified number of options.

By default, the `rendererType` property must be set to "`javax.faces.Listbox`". This value can be changed by calling the `setRendererType()` method.

Nested Class Summary
`protected static class` | `HtmlSelectOneListbox.PropertyKeys`

Field Summary
`static java.lang.String` | `COMPONENT_TYPE` The standard component type for this component.

Fields inherited from class javax.faces.component.UISelectOne
`COMPONENT_FAMILY, INVALID_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`HtmlSelectOneListbox()`

Method Summary
`java.lang.String` | `getAccesskey()` Return the value of the `accesskey` property.
`java.lang.String` | `getDefaultEventName()` This is a default implementation of `ClientBehaviorHolder.getDefaultEventName()`.
`java.lang.String` | `getDir()` Return the value of the `dir` property.
`java.lang.String` | `getDisabledClass()` Return the value of the `disabledClass` property.
`java.lang.String` | `getEnabledClass()` Return the value of the `enabledClass` property.
`java.util.Collection<java.lang.String>` | `getEventNames()` This is a default implementation of `ClientBehaviorHolder.getEventNames()`.
`java.lang.String` | `getLabel()` Return the value of the `label` property.
`java.lang.String` | `getLang()` Return the value of the `lang` property.
`java.lang.String` | `getOnblur()` Return the value of the `onblur` property.
`java.lang.String` | `getOnchange()` Return the value of the `onchange` property.
`java.lang.String` | `getOnclick()` Return the value of the `onclick` property.
`java.lang.String` | `getOndblclick()` Return the value of the `ondblclick` property.
`java.lang.String` | `getOnfocus()` Return the value of the `onfocus` property.
`java.lang.String` | `getOnkeydown()` Return the value of the `onkeydown` property.
`java.lang.String` | `getOnkeypress()` Return the value of the `onkeypress` property.
`java.lang.String` | `getOnkeyup()` Return the value of the `onkeyup` property.
`java.lang.String` | `getOnmousedown()` Return the value of the `onmousedown` property.
`java.lang.String` | `getOnmousemove()` Return the value of the `onmousemove` property.
`java.lang.String` | `getOnmouseout()` Return the value of the `onmouseout` property.
`java.lang.String` | `getOnmouseover()` Return the value of the `onmouseover` property.
`java.lang.String` | `getOnmouseup()` Return the value of the `onmouseup` property.
`java.lang.String` | `getOnselect()` Return the value of the `onselect` property.
`int` | `getSize()` Return the value of the `size` property.
`java.lang.String` | `getStyle()` Return the value of the `style` property.
`java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
`java.lang.String` | `getTabindex()` Return the value of the `tabindex` property.
`java.lang.String` | `getTitle()` Return the value of the `title` property.
`boolean` | `isDisabled()` Return the value of the `disabled` property.
`boolean` | `isReadonly()` Return the value of the `readonly` property.
`void` | `setAccesskey(java.lang.String accesskey)` Set the value of the `accesskey` property.
`void` | `setDir(java.lang.String dir)` Set the value of the `dir` property.
`void` | `setDisabled(boolean disabled)` Set the value of the `disabled` property.
`void` | `setDisabledClass(java.lang.String disabledClass)` Set the value of the `disabledClass` property.
`void` | `setEnabledClass(java.lang.String enabledClass)` Set the value of the `enabledClass` property.
`void` | `setLabel(java.lang.String label)` Set the value of the `label` property.
`void` | `setLang(java.lang.String lang)` Set the value of the `lang` property.
`void` | `setOnblur(java.lang.String onblur)` Set the value of the `onblur` property.
`void` | `setOnchange(java.lang.String onchange)` Set the value of the `onchange` property.
`void` | `setOnclick(java.lang.String onclick)` Set the value of the `onclick` property.
`void` | `setOndblclick(java.lang.String ondblclick)` Set the value of the `ondblclick` property.
`void` | `setOnfocus(java.lang.String onfocus)` Set the value of the `onfocus` property.
`void` | `setOnkeydown(java.lang.String onkeydown)` Set the value of the `onkeydown` property.
`void` | `setOnkeypress(java.lang.String onkeypress)` Set the value of the `onkeypress` property.
`void` | `setOnkeyup(java.lang.String onkeyup)` Set the value of the `onkeyup` property.
`void` | `setOnmousedown(java.lang.String onmousedown)` Set the value of the `onmousedown` property.
`void` | `setOnmousemove(java.lang.String onmousemove)` Set the value of the `onmousemove` property.
`void` | `setOnmouseout(java.lang.String onmouseout)` Set the value of the `onmouseout` property.
`void` | `setOnmouseover(java.lang.String onmouseover)` Set the value of the `onmouseover` property.
`void` | `setOnmouseup(java.lang.String onmouseup)` Set the value of the `onmouseup` property.
`void` | `setOnselect(java.lang.String onselect)` Set the value of the `onselect` property.
`void` | `setReadonly(boolean readonly)` Set the value of the `readonly` property.
`void` | `setSize(int size)` Set the value of the `size` property.
`void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
`void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
`void` | `setTabindex(java.lang.String tabindex)` Set the value of the `tabindex` property.
`void` | `setTitle(java.lang.String title)` Set the value of the `title` property.

Methods inherited from class javax.faces.component.UISelectOne
`getFamily, validateValue`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

  The standard component type for this component.

  See Also:
    Constant Field Values

Constructor Detail

### HtmlSelectOneListbox

    public HtmlSelectOneListbox()

Method Detail

### getAccesskey

    public java.lang.String getAccesskey()

  Return the value of the `accesskey` property.

  Contents: Access key that, when pressed, transfers focus to this element.

### setAccesskey

    public void setAccesskey(java.lang.String accesskey)

  Set the value of the `accesskey` property.

### getDir

    public java.lang.String getDir()

  Return the value of the `dir` property.

  Contents: Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left).

### setDir

    public void setDir(java.lang.String dir)

  Set the value of the `dir` property.

### isDisabled

    public boolean isDisabled()

  Return the value of the `disabled` property.

  Contents: Flag indicating that this element must never receive focus or be included in a subsequent submit. A value of false causes no attribute to be rendered, while a value of true causes the attribute to be rendered as disabled="disabled".

### setDisabled

    public void setDisabled(boolean disabled)

  Set the value of the `disabled` property.

### getDisabledClass

    public java.lang.String getDisabledClass()

  Return the value of the `disabledClass` property.

  Contents: CSS style class to apply to the rendered label on disabled options.

### setDisabledClass

    public void setDisabledClass(java.lang.String disabledClass)

  Set the value of the `disabledClass` property.

### getEnabledClass

    public java.lang.String getEnabledClass()

  Return the value of the `enabledClass` property.

  Contents: CSS style class to apply to the rendered label on enabled options.

### setEnabledClass

    public void setEnabledClass(java.lang.String enabledClass)

  Set the value of the `enabledClass` property.

### getLabel

    public java.lang.String getLabel()

  Return the value of the `label` property.

  Contents: A localized user presentable name for this component.

### setLabel

    public void setLabel(java.lang.String label)

  Set the value of the `label` property.

### getLang

    public java.lang.String getLang()

  Return the value of the `lang` property.

  Contents: Code describing the language used in the generated markup for this component.

### setLang

    public void setLang(java.lang.String lang)

  Set the value of the `lang` property.

### getOnblur

    public java.lang.String getOnblur()

  Return the value of the `onblur` property.

  Contents: Javascript code executed when this element loses focus.

### setOnblur

    public void setOnblur(java.lang.String onblur)

  Set the value of the `onblur` property.

### getOnchange

    public java.lang.String getOnchange()

  Return the value of the `onchange` property.

  Contents: Javascript code executed when this element loses focus and its value has been modified since gaining focus.

### setOnchange

    public void setOnchange(java.lang.String onchange)

  Set the value of the `onchange` property.

### getOnclick

    public java.lang.String getOnclick()

  Return the value of the `onclick` property.

  Contents: Javascript code executed when a pointer button is clicked over this element.

### setOnclick

    public void setOnclick(java.lang.String onclick)

  Set the value of the `onclick` property.

### getOndblclick

    public java.lang.String getOndblclick()

  Return the value of the `ondblclick` property.

  Contents: Javascript code executed when a pointer button is double clicked over this element.

### setOndblclick

    public void setOndblclick(java.lang.String ondblclick)

  Set the value of the `ondblclick` property.

### getOnfocus

    public java.lang.String getOnfocus()

  Return the value of the `onfocus` property.

  Contents: Javascript code executed when this element receives focus.

### setOnfocus

    public void setOnfocus(java.lang.String onfocus)

  Set the value of the `onfocus` property.

### getOnkeydown

    public java.lang.String getOnkeydown()

  Return the value of the `onkeydown` property.

  Contents: Javascript code executed when a key is pressed down over this element.

### setOnkeydown

    public void setOnkeydown(java.lang.String onkeydown)

  Set the value of the `onkeydown` property.

### getOnkeypress

    public java.lang.String getOnkeypress()

  Return the value of the `onkeypress` property.

  Contents: Javascript code executed when a key is pressed and released over this element.

### setOnkeypress

    public void setOnkeypress(java.lang.String onkeypress)

  Set the value of the `onkeypress` property.

### getOnkeyup

    public java.lang.String getOnkeyup()

  Return the value of the `onkeyup` property.

  Contents: Javascript code executed when a key is released over this element.

### setOnkeyup

    public void setOnkeyup(java.lang.String onkeyup)

  Set the value of the `onkeyup` property.

### getOnmousedown

    public java.lang.String getOnmousedown()

  Return the value of the `onmousedown` property.

  Contents: Javascript code executed when a pointer button is pressed down over this element.

### setOnmousedown

    public void setOnmousedown(java.lang.String onmousedown)

  Set the value of the `onmousedown` property.

### getOnmousemove

    public java.lang.String getOnmousemove()

  Return the value of the `onmousemove` property.

  Contents: Javascript code executed when a pointer button is moved within this element.

### setOnmousemove

    public void setOnmousemove(java.lang.String onmousemove)

  Set the value of the `onmousemove` property.

### getOnmouseout

    public java.lang.String getOnmouseout()

  Return the value of the `onmouseout` property.

  Contents: Javascript code executed when a pointer button is moved away from this element.

### setOnmouseout

    public void setOnmouseout(java.lang.String onmouseout)

  Set the value of the `onmouseout` property.

### getOnmouseover

    public java.lang.String getOnmouseover()

  Return the value of the `onmouseover` property.

  Contents: Javascript code executed when a pointer button is moved onto this element.

### setOnmouseover

    public void setOnmouseover(java.lang.String onmouseover)

  Set the value of the `onmouseover` property.

### getOnmouseup

    public java.lang.String getOnmouseup()

  Return the value of the `onmouseup` property.

  Contents: Javascript code executed when a pointer button is released over this element.

### setOnmouseup

    public void setOnmouseup(java.lang.String onmouseup)

  Set the value of the `onmouseup` property.

### getOnselect

    public java.lang.String getOnselect()

  Return the value of the `onselect` property.

  Contents: Javascript code executed when text within this element is selected by the user.

### setOnselect

    public void setOnselect(java.lang.String onselect)

  Set the value of the `onselect` property.

### isReadonly

    public boolean isReadonly()

  Return the value of the `readonly` property.

  Contents: Flag indicating that this component will prohibit changes by the user. The element may receive focus unless it has also been disabled. A value of false causes no attribute to be rendered, while a value of true causes the attribute to be rendered as readonly="readonly".

### setReadonly

    public void setReadonly(boolean readonly)

  Set the value of the `readonly` property.

### getSize

    public int getSize()

  Return the value of the `size` property.

  Contents: Number of available options to be shown at all times. If not specified, all available options are shown.

### setSize

    public void setSize(int size)

  Set the value of the `size` property.

### getStyle

    public java.lang.String getStyle()

  Return the value of the `style` property.

  Contents: CSS style(s) to be applied when this component is rendered.

### setStyle

    public void setStyle(java.lang.String style)

  Set the value of the `style` property.

### getStyleClass

    public java.lang.String getStyleClass()

  Return the value of the `styleClass` property.

  Contents: Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

  Set the value of the `styleClass` property.

### getTabindex

    public java.lang.String getTabindex()

  Return the value of the `tabindex` property.

  Contents: Position of this element in the tabbing order for the current document. This value must be an integer between 0 and 32767.

### setTabindex

    public void setTabindex(java.lang.String tabindex)

  Set the value of the `tabindex` property.

### getTitle

    public java.lang.String getTitle()

  Return the value of the `title` property.

  Contents: Advisory title information about markup elements generated for this component.

### setTitle

    public void setTitle(java.lang.String title)

  Set the value of the `title` property.

### getEventNames

    public java.util.Collection<java.lang.String> getEventNames()

  Description copied from class: `UIComponentBase`

  This is a default implementation of `ClientBehaviorHolder.getEventNames()`. `UIComponent` does not implement the `ClientBehaviorHolder` interface, but provides default implementations for the methods defined by `ClientBehaviorHolder` to simplify subclass implementations. Subclasses that wish to support the `ClientBehaviorHolder` contract must declare that the subclass implements `ClientBehaviorHolder`, and must override this method to return a non-Empty `Collection` of the client event names that the component supports.

  Specified by:
    `getEventNames` in interface `ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `UIComponentBase`

### getDefaultEventName

    public java.lang.String getDefaultEventName()

  Description copied from class: `UIComponentBase`

  This is a default implementation of `ClientBehaviorHolder.getDefaultEventName()`. `UIComponent` does not implement the `ClientBehaviorHolder` interface, but provides default implementations for the methods defined by `ClientBehaviorHolder` to simplify subclass implementations. Subclasses that wish to support the `ClientBehaviorHolder` contract must declare that the subclass implements `ClientBehaviorHolder`, and must provide an implementation of `ClientBehaviorHolder.getEventNames()`.

  Specified by:
    `getDefaultEventName` in interface `ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `UIComponentBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.